- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# CMedia Class Reference

CMedia class is used for playing mp3 music and avi files. More...

`#include <Media.h>`

List of all members.

## Public Member Functions
| CMedia ()
| Standard constructor.
| ~CMedia ()
| Standard destructor.
bool | Init (HWND hWnd, LPCWSTR filename)
| Loads music file and creates GraphBuilder.
bool | Play ()
| Plays music file.
bool | Pause ()
| Pause music file.
bool | Stop ()
| Stops music file.
void | SetLoop ()
| Sets loop option for playing file.
void | OnGraphEvent ()
| This function catches graph events.

## Detailed Description

CMedia class is used for playing mp3 music and avi files.

It uses DirectShow GraphBuilder for playing media files. One instance of this class is made for each media file to be played.

Author:
  Petar Bajic

Date:
  January, 16 2007.

## Constructor & Destructor Documentation

CMedia::CMedia | ( |  | ) |

Standard constructor.

Author:
  Petar Bajic

Date:
  January, 16 2007.

CMedia::~CMedia | ( |  | ) |

Standard destructor.

Author:
  Petar Bajic

Date:
  January, 16 2007.

## Member Function Documentation

bool CMedia::Init | ( | HWND | hWnd,
|  | LPCWSTR | filename |
| ) |  |  |

Loads music file and creates GraphBuilder.

Parameters:

  | filename | - media file

Author:
  Petar Bajic

Date:
  January, 16 2007.

bool CMedia::Play | ( |  | ) |

Plays music file.

Author:
  Petar Bajic

Date:
  January, 16 2007.

bool CMedia::Pause | ( |  | ) |

Pause music file.

Author:
  Petar Bajic

Date:
  January, 16 2007.

bool CMedia::Stop | ( |  | ) |

Stops music file.

Author:
  Petar Bajic

Date:
  January, 16 2007.

void CMedia::SetLoop | ( |  | ) |

Sets loop option for playing file.

Author:
  Petar Bajic

Date:
  January, 16 2007.

void CMedia::OnGraphEvent | ( |  | ) |

This function catches graph events.

Author:
  Petar Bajic

Date:
  January, 16 2007.

The documentation for this class was generated from the following files:

- My Documents/TS2/inc/Media.h
- My Documents/TS2/src/Media.cpp